Name:          cpupower-gui
Version:       1.0.0
Release:       4mamba
Summary:       A graphical program that is used to change the scaling frequency limits of the cpu
Group:         Graphical Desktop/Applications/Utilities
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/vagnum08/cpupower-gui
Source:        https://github.com/vagnum08/cpupower-gui.git/v%{version}/cpupower-gui-%{version}.tar.bz2
Patch0:        cpupower-gui-1.0.0-meson-1.4.0.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: meson
Requires:      libappindicator3
Requires:      libhandy
Requires:      python3
Requires:      hicolor-icon-theme
Requires:      python-dbus-py3
Requires:      pygobject-py3
Requires:      python-pyxdg-py3

%description
cpupower-gui is a graphical program that is used to change the scaling frequency limits of the cpu, similar to cpupower.

#% debug_package

%prep
%setup -q
%patch 0 -p1

%build
%meson
%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%find_lang %{name} || touch %{name}.lang

sed -i "s|wheel|sysadmin|" %{buildroot}%{_datadir}/polkit-1/rules.d/org.rnd2.cpupower-gui.rules

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
%systemd_post cpupower-gui
%systemd_post cpupower-gui-helper
%systemd_user_post cpupower-gui-user
:

%preun
%systemd_preun cpupower-gui
%systemd_preun cpupower-gui-helper
%systemd_user_preun cpupower-gui-user
:

%postun
%systemd_postun_with_restart cpupower-gui
%systemd_postun_with_restart cpupower-gui-helper
:

%files -f %{name}.lang
%defattr(-,root,root)
%{_sysconfdir}/cpupower_gui.conf
%{_sysconfdir}/cpupower_gui.d/README
%{_sysconfdir}/cpupower_gui.d/my_profile.profile.ex
%{_bindir}/cpupower-gui
%{_unitdir}/cpupower-gui-helper.service
%{_unitdir}/cpupower-gui.service
%{_userunitdir}/cpupower-gui-user.service
%{_libdir}/cpupower-gui/cpupower-gui-helper
%{_datadir}/applications/org.rnd2.cpupower_gui.desktop
%dir %{_datadir}/cpupower-gui
%{_datadir}/cpupower-gui/cpupower-gui.gresource
%dir %{_datadir}/cpupower-gui/cpupower_gui
%{_datadir}/cpupower-gui/cpupower_gui/*
%{_datadir}/cpupower-gui/scaling-governors.conf
%{_datadir}/dbus-1/services/org.rnd2.cpupower_gui.service
%{_datadir}/dbus-1/system-services/org.rnd2.cpupower_gui.helper.service
%{_datadir}/dbus-1/system.d/org.rnd2.cpupower_gui.helper.conf
%{_datadir}/glib-2.0/schemas/org.rnd2.cpupower_gui.gschema.xml
%{_datadir}/icons/hicolor/scalable/apps/org.rnd2.cpupower_gui.svg
%{_metainfodir}/org.rnd2.cpupower_gui.appdata.xml
%{_datadir}/polkit-1/actions/org.rnd2.cpupower-gui.policy
%{_datadir}/polkit-1/rules.d/org.rnd2.cpupower-gui.rules
%doc AUTHORS COPYING

%changelog
* Thu Jun 13 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.0-4mamba
- enable user unit cpupower-gui-user on installation

* Wed Jun 12 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.0-3mamba
- fix polkit fix in previous commit

* Wed Jun 12 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.0-2mamba
- replace wheel group with sysadmin in polkit policy file

* Wed May 29 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.0-1mamba
- package created using the webbuild interface
